@font-face {
  font-family: 'MaSuperPolice';
  src: url('../../../public/font-family/Hiragino Kaku Gothic Std W8.otf');
}

nav .nav-wrapper {
  background-color: #962D21;
  text-decoration: none;

}

.nav_front {
  position: fixed !important;
}

#test{
  height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  background-color: #F6F6F6;
}

#prevention{
  display: flex;
  background-color: black;
  width: 100%;
  height: 60px;
  justify-content: center;
  align-items: center;
  #contenu-prevention{
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-family: Helvetica;
    font-size: 13px;
    font-weight: bold;
    width: 50%;
    height: 100%;
    text-align: center;
  }
}

.navBar{
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 40px;
  background-color: #147B45;
  color: white;
  font-family: Helvetica;
  font-size: 13px;
  font-weight: bold;
  text-align: center;
  
  .navBar-wrapper{
    display: flex;
    width: 100%;
    height: 100%;
    font-size: 15px;
    .brand-logo{
      display: flex;
      justify-content: flex-start;
      align-items: center;
      width: 15%;
      height: 100%;
      padding-left: 40px;
      img{
        width: auto;
        height: 80%;
      }
    }
    .navBarList{
      display: flex;
      justify-content: flex-start;
      align-items: center;
      width: 65%;
      .elemtList{
        width: 165px;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        &:hover{
          background-color: #116c3d;
        }
        a{
          text-decoration: none;
          color: inherit; 
        }
      }
    }

    .navBarLoginConnected{
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      
      width: 10%;
      .connexion{
        width: 120px;
        min-width: 90px;
        height: 70%;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-left: 5px;
      }
      .NavDeconnexion{
        a{
          display: flex;
          align-items: center;
          justify-content: center;
        }
        
      }
      .NavProfile{
        width: 80%;
        a{
          display: flex;
          flex-direction: row ;
          justify-content: flex-start;
          width: 100%;
          i{
            margin-right: 5px;
          }
        }
      }
      a{
        text-decoration: none;
        color: inherit; 
      }
      }

    .navBarLogin{
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      
      width: 20%;
      .connexion{
        width: 120px;
        min-width: 90px;
        height: 70%;
        border-radius: 18px;
        display: flex;
        align-items: center;
        justify-content: center;
        border: white 3px solid;
        color: white;
        margin-left: 5px;
        &:hover{
          background-color: #ffffff;
          a{
            color: #147B45;
          }
        }
        a{
          text-decoration: none;
          color: inherit; 
        }
      }

      

      .elemtList{
        width: 120px;
        min-width: 90px;
        height: 70%;
        border-radius: 18px;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: white;
        color: #147B45;
        margin-right: 5px;
        &:hover{
          background-color: #0b4628;
          a{
            color: white;
          }
        }
        a{
          text-decoration: none;
          color: inherit; 
        }
      }
    }
  }
}



.container-body{
  height: 89.5%;
  width: 100%;
  display: flex;
  justify-content: center;
  .bodyContent{
    height: 100%;
    width: 99%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    overflow: scroll;

    .left-side-bar-container{
      height: 95%;
      min-width: 300px;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;

    }
      .left-side-bar-top{
        height: 35px;
        width: 100%;
        background-color: white;
        display: flex;
        flex-direction: row;
        padding: 5px;
        margin-bottom: 10px;
        position: relative;
      }
      .left-side-bar-mid{
        display: flex;
        flex-direction: column;
        height: 46%;
        width: 100%;
        padding: 20px;
        border-radius: 10px;
        background-color: white;
        margin-bottom: 10px;
        .left-side-bar-mid-title{
          display: flex;
          justify-content: flex-start;
          align-items: center;
          width: 100%;
          height: 15%;
          font-family: 'MaSuperPolice';
          font-size: 11px;
          text-transform: uppercase;
          letter-spacing: 1px;
          color: #000000A6;
        }
        .left-side-bar-mid-categories-list{
          display: flex;
          flex-direction: column;
          height: 85%;
          .horizontal-sparator-container{
            display: flex;
            justify-content: center;
            align-items: center;
            height: 10px;
            width: 100%;
            .horizontal-sparator{
              height: 1px;
              width: 100%;
              background-color: rgba(0, 0, 0, 0.09);
            }
          }
          .categories-list{
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            align-items: center;
            height: 20%;
            width: 100%;
            a{
              font-family: Helvetica;
              font-weight: 700;
              font-size: 13px;
              text-decoration: none;
              color: #00000096;
 
            }
            .img-categories{
              display: flex;
              justify-content: flex-start;
              align-items: center;
              height: 100%;
              width: 32px;
            }
          }
        }
      }
      .left-side-bar-bottom{
        height: 46%;
        width: 100%;
        border-radius: 10px;
        background-color: white;
      }
    //}


    .page{
      height: 95%;
      width: 650px;
      display: flex;
      align-items: center;
      flex-direction: column;
      margin-left: 20px;
      margin-right: 20px;
    }
  
    .right-side-bar{
      height: 95%;
      min-width: 300px;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      border-radius: 7px;
      box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
      overflow-y: scroll;

      &::-webkit-scrollbar {
        display: none;
      }

      background-color: #F7F8FA;
    }

    .title-content-panier {
      display: flex;
      flex-direction: column;
      height: 100%;
      width: 100%;
      border-radius: 7px;
      justify-content: space-between;
      #title-box-panier{
        background-color: #147B45;
        width: 100%;
        min-height: 81px;
        box-shadow: 0 5px 5px -5px rgba(51, 51, 51, 0.54);
        font-size: 19px;
        font-weight: bolder;
        color: white;
        font-family: metropolis,Helvetica,sans-serif;
        display: flex;
        justify-content: center;
        align-items: center;
        // z-index: 2;
      }
    }
  }

    .caisse {

      height: 148px;
      width: 100%;
      box-shadow: 0 -10px 10px -10px rgba(51, 51, 51, 0.54);
      background-color: white;
      padding: 5px;
      font-size: 13px;
      font-weight: bolder;
      font-family: metropolis, Helvetica, sans-serif;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      .total-mise{
        width: 90%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
      }

      .button-caisse {
        display: flex;
        height: 80%;
        width: 100%;
        justify-content: center;
        align-items: center;

        #validate {
          border-radius: 20px;
          background-color: #147B45;
          display: flex;
          align-items: center;
          justify-content: center;
          min-width: 120px;
          height: 40px;
          color: white;
          cursor: pointer;
          &:hover{
            background-color: #0e532f;
          }
        }
      }

    }

}


form[name="search_bar"] {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#search_bar{
width: 100%;
height: 100%;
display: flex;
flex-direction: row;
justify-content: space-between;
align-items: center;
div:first-child {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  width: 230px;
  #search_bar_search{
    width: 100%;
    height: 100%;
    border-bottom: 0px !important;
    margin-bottom: 0px !important;
    
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
div:nth-child(2) {
  button{
    background-color: #147B45;
    border-radius: 5px;
    color: white;
    font-weight: bold;
    font-size: 13px;
    padding: 5px;
    width: 50px;
    border-width: 0px;
    cursor: pointer;
    &:hover{
      background-color: #0e532f;
    }
  }
}

}


.searchResults{
  position:absolute;
  z-index: 999999;
  max-height:600px;
  left: 0px;
  top: 20px;
  overflow:hidden;
  -moz-transition: .8s all .3s;
  -webkit-transition: .8s all .3s;
  transition: .8s all .3s;
  background-color: rgb(255, 255, 255);
  border: 1px solid #d5d5d5;
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  .title-search-box{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 25px;
    padding-left:10px;
    background-color: #147b45;
    .searchResults-title{
      color: white;
      font-weight: bold;
      font-family: Helvetica;
    }
    .close-search{
      cursor:pointer;
      margin-right: 20px;
    }
  }
  li{
    width: 100%;
    padding-left: 10px;
    border-bottom:rgba(186, 186, 186, 0.25) solid 1px;
    a{
      font-family: 'Helvetica';
      text-decoration: none;
      color: black;
      min-width: 150px !important;
      }

    }
  }

  .total-mise-modal {
    display: flex;
    font-weight: bold;
    flex-direction: row;
    width: 100%;
    font-family: metropolis, Helvetica, sans-serif;
  }
  
  .total-mise-value-modal {
    margin-left: 10px;
  }

  .button-caisse-modal {
    display: flex;
    height: 40px;
    width: 40%;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    background-color: #E10014;
    font-family: metropolis, Helvetica, sans-serif;
    color: white;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 10px;
    cursor: pointer;
  
    &:hover {
      background-color: #b60014;
    }
  }